var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _class, _temp;

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
// import PropTypes from 'prop-types';
import classnames from 'classnames';

import './Spinning.scss';

var LightBox = (_temp = _class = function (_Component) {
  _inherits(LightBox, _Component);

  function LightBox() {
    _classCallCheck(this, LightBox);

    return _possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  LightBox.prototype.render = function render() {
    var _props = this.props,
        className = _props.className,
        otherProps = _objectWithoutProperties(_props, ['className']);

    return React.createElement(
      'div',
      _extends({ className: classnames("app-spinning", className) }, otherProps),
      React.createElement('i', { className: 'fa fa-refresh fa-spin' })
    );
  };

  return LightBox;
}(Component), _class.defaultProps = {}, _temp);
export { LightBox as default };
LightBox.propTypes = process.env.NODE_ENV !== "production" ? {} : {};