var _dec, _class, _class2, _temp2;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import ReactDOM from 'react-dom';
// import PropTypes from 'prop-types';
import { inject } from 'mobx-react';
import classnames from 'classnames';
import $ from 'jquery';

import 'jquery-treegrid/css/jquery.treegrid.css';
import './TreeTable.scss';

var TreeTable = (_dec = inject('utilService'), _dec(_class = (_temp2 = _class2 = function (_Component) {
  _inherits(TreeTable, _Component);

  function TreeTable() {
    var _temp, _this, _ret;

    _classCallCheck(this, TreeTable);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, _Component.call.apply(_Component, [this].concat(args))), _this), _this.utilService = _this.props.utilService, _this._firstLoad = true, _temp), _possibleConstructorReturn(_this, _ret);
  }

  TreeTable.prototype._getTable = function _getTable() {
    if (this.$table) return this.$table;
    var $container = $(ReactDOM.findDOMNode(this.container));
    this.$table = $container.find('table');
    return this.$table;
  };

  TreeTable.prototype.componentDidUpdate = function componentDidUpdate() {
    this._getTable().treegrid({ initialState: 'collapsed', saveState: true });
    if (this._firstLoad) {
      this._getTable().treegrid('collapseAll');
      this._firstLoad = false;
    }
  };

  TreeTable.prototype.expand = function expand(code) {
    $('.treegrid-' + code).treegrid('expand');
  };

  TreeTable.prototype.render = function render() {
    var _this2 = this;

    var _props = this.props,
        children = _props.children,
        className = _props.className;

    return React.createElement(
      'span',
      { className: classnames("app-tree-table", className), ref: function ref(_ref) {
          return _this2.container = _ref;
        } },
      children
    );
  };

  return TreeTable;
}(Component), _class2.defaultProps = {}, _temp2)) || _class);
export { TreeTable as default };
TreeTable.propTypes = process.env.NODE_ENV !== "production" ? {} : {};