var _class, _temp;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import ReactDOM from 'react-dom';
import PropTypes from 'prop-types';
import classnames from 'classnames';
import $ from 'jquery';

import './AppTable.scss';

var AppTable = (_temp = _class = function (_Component) {
  _inherits(AppTable, _Component);

  function AppTable() {
    _classCallCheck(this, AppTable);

    return _possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  AppTable.prototype.componentDidMount = function componentDidMount() {
    var $container = $(ReactDOM.findDOMNode(this.container));
    var $table = $container.find('table');
    if (this.props.stickyHeader) {
      $table.stickyTableHeaders(); // {fixedOffset: 100}
    }
  };

  AppTable.prototype.render = function render() {
    var _this2 = this;

    var _props = this.props,
        children = _props.children,
        className = _props.className;

    return React.createElement(
      'span',
      { className: classnames("app-table", className), ref: function ref(_ref) {
          return _this2.container = _ref;
        } },
      children
    );
  };

  return AppTable;
}(Component), _class.defaultProps = {
  stickyHeader: false
}, _temp);
export { AppTable as default };
AppTable.propTypes = process.env.NODE_ENV !== "production" ? {
  stickyHeader: PropTypes.bool
} : {};