var _class, _temp;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import PropTypes from 'prop-types';
import classnames from 'classnames';

import './InfoBox.scss';

var InfoBox = (_temp = _class = function (_Component) {
  _inherits(InfoBox, _Component);

  function InfoBox() {
    _classCallCheck(this, InfoBox);

    return _possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  InfoBox.prototype.render = function render() {
    var _props = this.props,
        title = _props.title,
        icon = _props.icon,
        className = _props.className,
        children = _props.children;

    return React.createElement(
      'div',
      { className: 'info-box app-info-box' },
      React.createElement(
        'span',
        { className: classnames("info-box-icon", className) },
        icon
      ),
      React.createElement(
        'div',
        { className: 'info-box-content' },
        React.createElement(
          'span',
          { className: 'info-box-text' },
          title
        ),
        React.createElement(
          'span',
          { className: 'info-box-number' },
          children
        )
      )
    );
  };

  return InfoBox;
}(Component), _class.defaultProps = {}, _temp);
export { InfoBox as default };
InfoBox.propTypes = process.env.NODE_ENV !== "production" ? {
  title: PropTypes.string,
  icon: PropTypes.object
} : {};