function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import $ from 'jquery';

var asPage = function asPage(WrappedComponent, prevPage, nextPage) {

  return function (_Component) {
    _inherits(_class, _Component);

    function _class() {
      _classCallCheck(this, _class);

      return _possibleConstructorReturn(this, _Component.apply(this, arguments));
    }

    _class.prototype.componentWillMount = function componentWillMount() {
      this.scrollTop = $(window).scrollTop();
    };

    _class.prototype.componentDidMount = function componentDidMount() {
      setTimeout(function () {
        var $parent = $(prevPage).parents('.content-wrapper');
        // $(prevPage).slideUp('fast');
        $(prevPage).hide();
        $parent.append($(nextPage));
        setTimeout(function () {
          return $(window).scrollTop(0);
        }, 0);
      }, 0);
    };

    _class.prototype.componentWillUnmount = function componentWillUnmount() {
      var _this2 = this;

      $(this.container).append($(nextPage));
      // $(prevPage).slideDown('fast');
      $(prevPage).show();
      setTimeout(function () {
        return $(window).scrollTop(_this2.scrollTop);
      }, 0);
    };

    _class.prototype.render = function render() {
      var _this3 = this;

      return React.createElement(
        'div',
        { ref: function ref(el) {
            return _this3.container = el;
          } },
        React.createElement(WrappedComponent, this.props)
      );
    };

    return _class;
  }(Component);
};

export default asPage;